#include <OString>
#include "config_msg.h"
#include "analzwizard.h"

static OString warning_str = OString::fromLatin1("warning: ");
static OString error_str = OString::fromLatin1("error: ");

void config_err(const char *fmt, ...)
{
  OString msg = error_str;

  msg.append(OString::fromLatin1(fmt));
  va_list args;
  va_start(args, fmt);
  char debugOut[1000]; // this size should be sufficient
  vsnprintf(debugOut, 1000,OPrintable(msg), args);
  MainWindow::instance().outputLogText(OString::fromLatin1(debugOut));
  va_end(args);
}

void config_term(const char *fmt, ...)
{
  OString msg = error_str;

  msg.append(OString::fromLatin1(fmt));
  va_list args;
  va_start(args, fmt);
  char debugOut[1000]; // this size should be sufficient
  vsnprintf(debugOut, 1000,OPrintable(msg), args);
  MainWindow::instance().outputLogText(OString::fromLatin1(debugOut));
  va_end(args);
  exit(1);
}

void config_warn(const char *fmt, ...)
{
  OString msg = warning_str;

  msg.append(OString::fromLatin1(fmt));
  va_list args;
  va_start(args, fmt);
  char debugOut[1000];
  vsnprintf(debugOut, 1000,OPrintable(msg), args);
  MainWindow::instance().outputLogText(OString::fromLatin1(debugOut));
  va_end(args);
}

void config_open()
{
  MainWindow::instance().outputLogStart();
}

void config_finish()
{
  MainWindow::instance().outputLogFinish();
}
